REGULATOR_DISABLE(9)

NAME
regulator_disable - disable regulator output

SYNOPSIS

int regulator_disable(struct regulator * regulator);

ARGUMENTS

regulator
    regulator source

DESCRIPTION

Disable the regulator output voltage or current. Calls to regulator_enable must be balanced with calls to regulator_disable.

NOTE

this will only disable the regulator output if no other consumer devices have it enabled, the regulator device supports disabling and machine constraints permit this operation.

AUTHORS

Liam Girdwood <lrg@slimlogic.co.uk>
    Author.

Mark Brown <broonie@opensource.wolfsonmicro.com>
Wolfson Microelectronics,

    Author.

COPYRIGHT